<?php

/**
 * @brief Réponse d'un utilisateur
 */
class reponse_user {

    ///Identifiant de la partie auquel l'objet réponse est associée
    private $id_game;
    
    ///Identidiant de la question auquel l'objet réponse est associée
    private $id_question;
    
    ///Réponse de l'utilisateur (int)
    private $reponse;

    /**
     * @brief Constructeur de l'objet
     * @arg $game_id identidiant de la partie associée
     * @arg $question_id identidiant de la question associée
     * @arg $reponse index de la réponse donnée par l'utilisateur
     */
    public function __construct($game_id, $question_id, $reponse) {
        //On met en place les données dans les attributs
        $this->id_game = $game_id;
        $this->id_question = $question_id;
        $this->reponse = $reponse;
    }

    public function getGame() {
        return $this->id_game;
    }

    public function getQuestion() {
        return $this->id_question;
    }

    public function getReponse() {
        return $this->reponse;
    }
    
    public function setGame($id)
    {
        $this->id_game = $id;
    }

}

?>
